API संदर्भ
Driver Status API
Keep rider availability and capacity in sync.
Report your riders’ availability, online status, and capacity so the network can route the right volume to your fleet. Accurate status improves assignment quality and your reliability score.
क्षमताएँ
- Set riders online, offline, or on-break
- Report current capacity and active deliveries
- Update rider vehicle and zone
- Retrieve aggregate fleet availability
एंडपॉइंट
PATCH
/v1/riders/{rider_id}/statusUpdate a rider’s availability
GET
/v1/ridersList your riders and their status
GET
/v1/fleet/availabilityAggregate availability by zone
Set a rider online
अनुरोध
curl -X PATCH https://api.foodsbyme.com/v1/riders/rdr_19f3/status \
-H "Authorization: Bearer $FOODS_PARTNER_KEY" \
-H "Content-Type: application/json" \
-d '{ "status": "online", "zone": "lekki", "capacity": 2 }'जवाब · 200 OK
{
"rider_id": "rdr_19f3",
"status": "online",
"zone": "lekki",
"capacity": 2,
"active_deliveries": 0,
"updated_at": "2026-06-13T10:42:11Z"
}